import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JPanel;
import java.awt.FlowLayout;
import java.awt.Dimension;
import java.awt.Color;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/**
 * Ett exempel på hur man kan bygga ett GUI med Swing och AWT.
 *
 * @author Stefan Nilsson
 * @version 2017-01-26
 */
public class SwingExample extends JFrame implements ActionListener {
    private JButton button1;
    private JButton button2 = new JButton("Yellow");
    private JPanel  myJPanel = new JPanel();

    public SwingExample() {
        super("Exempel på fönster med två knappar");
        button1 = new JButton("Red");
        setLayout(new FlowLayout()); //Definiera hur komponenter ska placeras.
        // Lägg in alla komponenter.
        add(button1);
        add(button2);
        add(myJPanel);
        // Definiera lyssnare till knapparna.
        button1.addActionListener(this);
        button2.addActionListener(this);
        myJPanel.setPreferredSize(new Dimension(200, 200));
        setVisible(true);
        pack(); // Anpassa storleken efter komponenternas storlek.
        
        setDefaultCloseOperation(EXIT_ON_CLOSE);
    }

    public void actionPerformed(ActionEvent ae) {
        if(ae.getSource() == button1){
            myJPanel.setBackground(Color.RED);
        } else if(ae.getSource() == button2){
            myJPanel.setBackground(Color.YELLOW);
        }
    }

    public static void main(String[] args) {
        new SwingExample();
    }
}
